org.apache.lucene.queryparser.surround.parser

## Class QueryParserTokenManager

- java.lang.Object
- - org.apache.lucene.queryparser.surround.parser.QueryParserTokenManager

- All Implemented Interfaces:
    QueryParserConstants

      public class QueryParserTokenManager
      extends Object
      implements QueryParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.apache.lucene.queryparser.surround.parser.QueryParserConstants

      `_DISTOP_NUM, _NUM_CHAR, _ONE_CHAR, _STAR, _TERM_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, COMMA, DEFAULT, EOF, LPAREN, N, NOT, NUMBER, OR, QUOTED, RPAREN, SUFFIXTERM, TERM, tokenImage, TRUNCQUOTED, TRUNCTERM, W`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParserTokenManager(CharStream stream)` Constructor.
    `QueryParserTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### QueryParserTokenManager

          public QueryParserTokenManager(CharStream stream)

      Constructor.

    - #### QueryParserTokenManager

          public QueryParserTokenManager(CharStream stream,
                                 int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                    int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.